Skip to main content
Organization and Account

Get Account Detail

Get TokenPlan account details and organization information.

Prerequisites

You have obtained the AccessKey of an Alibaba Cloud account or a RAM user, and the identity has been granted the RAM permissions required to call this operation. We recommend that you set the AccessKey as the environment variables ALIBABA_CLOUD_ACCESS_KEY_ID and ALIBABA_CLOUD_ACCESS_KEY_SECRET instead of hard-coding it.

Request description

  • HTTP method:GET
  • Request URL

    Region

    Endpoint

    Singapore

    GET https://modelstudio.ap-southeast-1.aliyuncs.com/tokenplan/account

  • Authentication This operation is an Alibaba Cloud OpenAPI operation that uses AccessKey-based signatures (the ACS3-HMAC-SHA256 algorithm). The Authorization: Bearer {API_KEY} scheme is not supported. A request must carry the common headers x-acs-action: GetTokenPlanAccountDetail, x-acs-version: 2026-02-10, x-acs-date, x-acs-content-sha256, x-acs-signature-nonce, and Authorization. We recommend that you call this operation with an Alibaba Cloud SDK or OpenAPI Explorer so that you do not have to calculate the signature yourself.
Get TokenPlan management platform account information while logged in.

Request parameters

This API has no request parameters.

Response parameters

Parameter

Type

Description

Success

boolean

Whether the API call was successful:
true: success
false: failure

Code

string

Response status code.

Message

string

Response message.

Data

object

Business data.

AccountId

string

Account ID.

AccountType

string

账号类型:
ALIYUN
SSO
SA

IsDeleted

boolean

账号全局状态:0=正常,1=已冻结

Name

string

账号显示名称

AliyunUid

string

阿里云 UID(ALIYUN 类型账号)

Email

string

邮箱(SSO 类型账号)

CreatedAt

string

Creation time.

OrgMemberships

Array[Object]

组织成员关系列表(树形结构,组织 → 工作空间)

Array[Object]

OrgId

string

Organization ID.

MemberStatus

string

组织成员状态
ACTIVE
INITIAL
FROZEN

RoleId

string

组织角色 ID

RoleCode

string

组织角色编码
ORG_OWNER
ORG_ADMIN
ORG_MEMBER

Workspaces

Array[Object]

该组织下账号已加入的工作空间列表

object

工作空间列表。

WorkspaceId

string

工作空间 ID

MemberStatus

string

成员状态
ACTIVE
FROZEN

RoleId

string

工作空间角色 ID

RoleCode

string

工作空间角色编码
WS_ADMIN
WS_MEMBER

HttpStatusCode

integer

HTTP status code.

RequestId

string

Unique request ID.

Request example

This operation uses Alibaba Cloud OpenAPI signatures. In the following example, ${SIGNATURE} must be calculated with the ACS3-HMAC-SHA256 algorithm, and x-acs-date and x-acs-signature-nonce must be replaced with actual values.
curl -X GET "https://modelstudio.ap-southeast-1.aliyuncs.com/tokenplan/account" \
    --header "x-acs-action: GetTokenPlanAccountDetail" \
    --header "x-acs-version: 2026-02-10" \
    --header "x-acs-date: 2026-01-01T12:00:00Z" \
    --header "x-acs-content-sha256: e3b0c44298fc1c149afbf4c8996fb92427ae41e4649b934ca495991b7852b855" \
    --header "x-acs-signature-nonce: 3e3b2a9f0c7d4f8e9a1b2c3d4e5f6a7b" \
    --header "Authorization: ACS3-HMAC-SHA256 Credential=${ALIBABA_CLOUD_ACCESS_KEY_ID},SignedHeaders=host;x-acs-action;x-acs-content-sha256;x-acs-date;x-acs-signature-nonce;x-acs-version,Signature=${SIGNATURE}"

Response example

{
  "Success": true,
  "Data": {
    "AccountId": "acc_123456789",
    "AccountType": "ALIYUN",
    "IsDeleted": true,
    "Name": "test_name",
    "AliyunUid": "1122334455",
    "Email": "test@email.com",
    "CreatedAt": "Thu May 28 14:33:52 CST 2026",
    "OrgMemberships": [
      {
        "OrgId": "org_123456789",
        "MemberStatus": "ENABLE",
        "RoleId": "SYSTEM_ROLE_ORG_OWNER",
        "RoleCode": "ORG_MEMBER",
        "Workspaces": [
          {
            "WorkspaceId": "ws_123456789",
            "MemberStatus": "ACTIVE",
            "RoleId": "SYSTEM_ROLE_WS_ADMIN",
            "RoleCode": "WS_ADMIN"
          }
        ]
      }
    ]
  }
}

Error codes

If the call fails, an error message is returned. For more error codes and solutions, see Error codes.
Text Generation
Image Generation
  • FAQ
Video Generation
World models
Audio
  • Audio generation
Realtime API
Text Embedding
TokenPlan
Model Production
Get Account Detail - Alibaba Cloud Model Studio